<!doctype html>
<html lang="en">

<head>
    <title>CarRental &mdash; Free Website Template by Colorlib</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700;900&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="/fonts/icomoon/style.css">

    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/bootstrap-datepicker.css">
    <link rel="stylesheet" href="/css/jquery.fancybox.min.css">
    <link rel="stylesheet" href="/css/owl.carousel.min.css">
    <link rel="stylesheet" href="/css/owl.theme.default.min.css">
    <link rel="stylesheet" href="/fonts/flaticon/font/flaticon.css">
    <link rel="stylesheet" href="/css/aos.css">

    <!-- MAIN CSS -->
    <link rel="stylesheet" href="/css/style.css">

</head>

<body>


<div class="site-wrap" id="home-section">

    <div class="site-mobile-menu site-navbar-target">
        <div class="site-mobile-menu-header">
            <div class="site-mobile-menu-close mt-3">
                <span class="icon-close2 js-menu-toggle"></span>
            </div>
        </div>
        <div class="site-mobile-menu-body"></div>
    </div>


    <header class="site-navbar site-navbar-target" role="banner">
        <div class="container">
            <div class="row position-relative">
                <div class="col-3">
                    <div class="site-logo">
                        <a th:href="@{/}"><strong>Car Rental</strong></a>
                    </div>
                </div>
                <div th:replace="fragments/navbar :: navbar"></div>
            </div>
        </div>

    </header>


    <div class="hero inner-page" style="background-image: url('/images/hero_1_a.jpg');">

        <div class="container">
            <div class="row align-items-end ">
                <div class="col-lg-5">

                    <div class="intro">
                        <h1><strong>Listings</strong></h1>
                        <div class="custom-breadcrumbs"><a th:href="@{/}">Home</a> <span class="mx-2">/</span>
                            <strong>Listings</strong></div>
                    </div>

                </div>
            </div>
        </div>
    </div>


    <div class="site-section bg-light">
        <div class="container">
            <div class="row">
                <div class="col-lg-7">
                    <h2 class="section-heading"><strong>Car Listings</strong></h2>
                    <p class="mb-5">Here is our fleet</p>
                </div>
            </div>


            <div class="row">
                <div class="col-md-6 col-lg-4 mb-4" th:each="car : ${carList}">

                    <div class="listing d-block  align-items-stretch">
                        <div class="listing-img h-100 mr-4">
                            <img th:src="*{'data:image/jpeg;base64, ' + car.image}" width="500" height="500" alt="Image"
                                 class="img-fluid">
                            <!--                <img src="/images/car_6.jpg" alt="Image" class="img-fluid">-->
                        </div>
                        <div class="listing-contents h-100">
                            <h3 th:text="${car.brand}"></h3>
                            <div class="rent-price">
                                <strong th:text="${#numbers.formatCurrency(car.amountPerDay)}"></strong><span
                                    class="mx-1">/</span>day
                            </div>
                            <div class="d-block d-md-flex mb-3 border-bottom pb-3">
                                <div class="listing-feature pr-4">
                                    <span class="caption">Body Type:</span>
                                    <span class="text-dark" th:text="${car.bodyType}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Model:</span>
                                    <span class="text-dark" th:text="${car.model}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Year:</span>
                                    <span class="number" th:text="${car.year}"></span>
                                </div>
                                <div class="listing-feature pr-4">
                                    <span class="caption">Kilometers:</span>
                                    <span class="number" th:text="${car.kilometers}"></span>
                                </div>
                            </div>
                            <div>
                                <p th:text="${car.description}"></p>
                                <p><a th:href="@{/reservation/book/{id}(id=${car.id})}" class="btn btn-primary btn-sm">Rent
                                    Now</a></p>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>


        <div class="site-section">
            <div class="container">
                <div class="row">
                    <div class="col-lg-7">
                        <h2 class="section-heading"><strong>Testimonials</strong></h2>
                        <p class="mb-5">Our happy customers</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-4 mb-4 mb-lg-0">
                        <div class="testimonial-2">
                            <blockquote class="mb-4">
                                <p>"Thank you for a very nice rent and a good company. We always rent from you, the best rental car company!"</p>
                            </blockquote>
                            <div class="d-flex v-card align-items-center">
                                <img src="/images/Denis.jpg" alt="Image" class="img-fluid mr-3">
                                <div class="author-name">
                                    <span class="d-block">Denis Sandor</span>
                                    <span>Worker</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 mb-4 mb-lg-0">
                        <div class="testimonial-2">
                            <blockquote class="mb-4">
                                <p>"Thank you so much for taking care of your loyal customers, and responding to me so quickly."</p>
                            </blockquote>
                            <div class="d-flex v-card align-items-center">
                                <img src="/images/Darius.jpg" alt="Image" class="img-fluid mr-3">
                                <div class="author-name">
                                    <span class="d-block">Darius Oltean</span>
                                    <span>Student</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 mb-4 mb-lg-0">
                        <div class="testimonial-2">
                            <blockquote class="mb-4">
                                <p>"Your service and approach to this is amazing. So unusual to have a car rental company behave like you do."</p>
                            </blockquote>
                            <div class="d-flex v-card align-items-center">
                                <img src="/images/Geo.jpg" alt="Image" class="img-fluid mr-3">
                                <div class="author-name">
                                    <span class="d-block">Ghita Ciceu</span>
                                    <span>Developer</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="site-section bg-primary py-5">
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-lg-7 mb-4 mb-md-0">
                        <h2 class="mb-0 text-white">What are you waiting for?</h2>
                        <p class="mb-0 opa-7">Rent your dream car right now!</p>
                    </div>
                    <div class="col-lg-5 text-md-right">
                        <a th:href="@{reservation/add}" class="btn btn-primary btn-white">Rent a car now</a>
                    </div>
                </div>
            </div>
        </div>

        <div th:replace="fragments/footer :: footer"></div>

    </div>
</div>

<script src="/js/jquery-3.3.1.min.js"></script>
<script src="/js/popper.min.js"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/js/owl.carousel.min.js"></script>
<script src="/js/jquery.sticky.js"></script>
<script src="/js/jquery.waypoints.min.js"></script>
<script src="/js/jquery.animateNumber.min.js"></script>
<script src="/js/jquery.fancybox.min.js"></script>
<script src="/js/jquery.easing.1.3.js"></script>
<script src="/js/bootstrap-datepicker.min.js"></script>
<script src="/js/aos.js"></script>

<script src="/js/main.js"></script>

</body>

</html>

